 @import url('https://fonts.googleapis.com/css?family=Playfair+Display&display=swap');

.hero {
  background: url('../img/hero.jpg') no-repeat;
  background-size: cover;
  width: 100vw;
  height: 100vh;
  position: relative;
}

.hero__content {
  width: 50vw;
  height: 20vh;
  margin: auto;
  position: absolute;
  top: 0;
  bottom: 0;
  right: auto;
  left: 10%;
}

.hero__overlay {
  width: 100vw;
  height: 100vh;
  position: absolute;
  background-color: rgba(0, 0, 0, 0.7);
}
.hero h1 {
  font-family: 'Playfair Display', serif;
  font-size: 5em;
  line-height: 1em;

  margin: auto;
  position: absolute;
  color: #fff;
  z-index: 1;
}

.presentation {
  background: #fff;
  margin: 0 auto;
  width: 75vw;
  height: 100vh;
}

.presentation__text, .presentation__image {
  float: left;
}
.presentation__text {
  width: 50%;
  height: 50vh;
  position: relative;
  top: 50%;
  transform: perspective(1px) translateY(-50%);
}

  .presentation__text__preheadline {
    font-size: 1.5em;
  }

.presentation__text h2 {
    font-family: 'Playfair Display', serif;
    font-size: 3em;
    line-height: 1.5em;
}

.presentation__text h3 {
    font-size: 1.5em;
    font-weight: 300;
    line-height: 1em;
    margin-bottom: 15px;
}

.presentation__text p {

}
.presentation__image {
  width: 50%;
  height: 100vh;
}

.presentation__image {
  background: url('../img/bofoght.jpg') no-repeat;
  background-size: contain;
  background-position-y: bottom;
}

/** skill charts **/



.skillset {
  margin: 0;
  width: 100vw;
  height: 100vh;
  background: url('../img/skills.jpg') no-repeat;
  background-size: cover;
}

.skillset__overlay {
  width: 100vw;
  height: 100vh;
  position: absolute;
  background-color: rgba(0, 0, 0, 0.7);
}

.skills {
  width: 100%;
  max-width: 960px;
  height: 100%;
  margin: auto;
  position: relative;
}

.skills ul {
  list-style: none;
  padding: 0px;
  margin: 0px;
}

.lines {
  height: 100%;
  position: relative;
}

.line {
  height: inherit;
  width: 2px;
  position: absolute;
  background: rgba(238, 238, 238, 0.6);
}
.line.l--0 {
  left: 0;
}
.line.l--25 {
  left: 25%;
}
.line.l--50 {
  left: 50%;
}
.line.l--75 {
  left: 75%;
}
.line.l--100 {
  left: calc(100% - 1px);
}

.line__label {
  display: block;
  width: 100px;
  text-align: center;
  position: absolute;
  bottom: -20px;
  right: -50px;
}
.line__label.title {
  text-transform: uppercase;
  font-weight: bold;
}

.charts {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 60px;
  left: 0;
  z-index: 10;
}

.chart {
  margin: 30px 0 0;
}
.chart:first-child {
  margin: 0;
}

.chart__title {
  display: block;
  color: #fff;
  margin: 0 0 10px;
  font-weight: bold;
  opacity: 0;
  animation: 1s anim-lightspeed-in ease forwards;
}
.chart--prod .chart__title {
  animation-delay: 3.3s;
}
.chart--design .chart__title {
  animation-delay: 4.5s;
}

.chart--horiz {
  overflow: hidden;
}

.chart__bar {
  height: 30px;
  margin-bottom: 10px;
  background: linear-gradient(to left, #bf7308, #ff9500);
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
  opacity: 0;
  animation: 1s anim-lightspeed-in ease forwards;
}
.chart--dev .chart__bar:nth-of-type(11) {
  animation-delay: 2.7s;
}
.chart--dev .chart__bar:nth-of-type(10) {
  animation-delay: 2.5s;
}
.chart--dev .chart__bar:nth-of-type(9) {
  animation-delay: 2.3s;
}
.chart--dev .chart__bar:nth-of-type(8) {
  animation-delay: 2.1s;
}
.chart--dev .chart__bar:nth-of-type(7) {
  animation-delay: 1.9s;
}
.chart--dev .chart__bar:nth-of-type(6) {
  animation-delay: 1.7s;
}
.chart--dev .chart__bar:nth-of-type(5) {
  animation-delay: 1.5s;
}
.chart--dev .chart__bar:nth-of-type(4) {
  animation-delay: 1.3s;
}
.chart--dev .chart__bar:nth-of-type(3) {
  animation-delay: 1.1s;
}
.chart--dev .chart__bar:nth-of-type(2) {
  animation-delay: 0.9s;
}
.chart--dev .chart__bar:nth-of-type(1) {
  animation-delay: 0.7s;
}
.chart--prod .chart__bar:nth-of-type(2) {
  animation-delay: 4.2s;
}
.chart--prod .chart__bar:nth-of-type(1) {
  animation-delay: 4s;
}
.chart--design .chart__bar:nth-of-type(3) {
  animation-delay: 5.6s;
}
.chart--design .chart__bar:nth-of-type(2) {
  animation-delay: 5.4s;
}
.chart--design .chart__bar:nth-of-type(1) {
  animation-delay: 5.2s;
}

.chart__label {
  padding-left: 10px;
  line-height: 30px;
  color: white;
}

@keyframes anim-lightspeed-in {
  0% {
    transform: translateX(-200%);
    opacity: 1;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

/*** skill charts end ***/

/*** curriculum ***/
* {

    margin: 0;
    position: relative;

}
.curriculum {
  margin: 15px auto;
  width: 75vw;
  height: 100vh;
}

.timeline {
	padding: 40px 0px;
	width: 80%;
	margin-left: 10%;
	margin-bottom: 40px;
  position: relative;
}

.timeline:before {
	content: "";
	position: absolute;
	top: 40px;
	left: 65px;
	width: 3px;
	height: calc(100% - 80px);
	background: #c0392b;
}

.timeline .column {
	margin: 40px 40px 40px 120px;
}
.timeline .column .title {
  width: 100%;
  float: none;
}
.timeline .column .title h1 {
	font-size: 120px;
	color: rgba(0,0,0,0.1);
	font-family: serif;
	letter-spacing: 3px;
  line-height: 139px;
  margin: 0px;
}

.timeline .column .title h1:before {
	content: "";
	position: absolute;
	left: -62px;
	top: 86px;
	width: 10px;
	height: 10px;
	background: #fff;
	border: 3px solid #c0392b;
}

.timeline .column .title h2 {
	margin-top: -60px;
	font-size: 33px;
  color: #000;
}

.timeline .column .description p {
	font-size: 13px;
	line-height: 20px;
	margin-left: 20px;
	margin-top: 10px;
	font-family: serif;
}

.timeline .column .description {
	border-left: 1px solid #000;
}

/*** curriculum end ***/

/*! HTML5 Boilerplate v5.0 | MIT License | http://h5bp.com/ */

html {
    color: #222;
    font-size: 1em;
    line-height: 1.4;
    overflow-x: hidden;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}


/* ===== Initializr Styles ==================================================
   Author: Jonathan Verrecchia - verekia.com/initializr/responsive-template
   ========================================================================== */

body {
    font: 16px/26px Verdana, Helvetica, Helvetica Neue, Arial;
}

.wrapper {
    width: 90%;
    margin: 0 5%;
}

/* ===================
    ALL: Orange Theme
   =================== */

.header-container {
    border-bottom: 20px solid #e44d26;
}

.footer-container,
.main aside {
    border-top: 20px solid #e44d26;
}

.header-container,
.footer-container,
.main aside {
    background: #f16529;
}

.title {
    color: white;
}

/* ==============
    MOBILE: Menu
   ============== */

nav ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

nav a {
    display: block;
    margin-bottom: 10px;
    padding: 15px 0;

    text-align: center;
    text-decoration: none;
    font-weight: bold;

    color: white;
    background: #e44d26;
}

nav a:hover,
nav a:visited {
    color: white;
}

nav a:hover {
    text-decoration: underline;
}

/* ==============
    MOBILE: Main
   ============== */

.main {
    padding: 30px 0;
}

.main article h1 {
    font-size: 2em;
}

.main aside {
    color: white;
    padding: 0px 5% 10px;
}

.footer-container footer {
    color: white;
    padding: 20px 0;
}

/* ===============
    ALL: IE Fixes
   =============== */

.ie7 .title {
    padding-top: 20px;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */















/* ==========================================================================
   Media Queries
   ========================================================================== */

@media only screen and (min-width: 480px) {

/* ====================
    INTERMEDIATE: Menu
   ==================== */

    nav a {
        float: left;
        width: 27%;
        margin: 0 1.7%;
        padding: 25px 2%;
        margin-bottom: 0;
    }

    nav li:first-child a {
        margin-left: 0;
    }

    nav li:last-child a {
        margin-right: 0;
    }

/* ========================
    INTERMEDIATE: IE Fixes
   ======================== */

    nav ul li {
        display: inline;
    }

    .oldie nav a {
        margin: 0 0.7%;
    }
}

@media only screen and (min-width: 768px) {

/* ====================
    WIDE: CSS3 Effects
   ==================== */

    .header-container,
    .main aside {
        -webkit-box-shadow: 0 5px 10px #aaa;
           -moz-box-shadow: 0 5px 10px #aaa;
                box-shadow: 0 5px 10px #aaa;
    }

/* ============
    WIDE: Menu
   ============ */

    .title {
        float: left;
    }

    nav {
        float: right;
        width: 38%;
    }

/* ============
    WIDE: Main
   ============ */

    .main article {
        float: left;
        width: 57%;
    }

    .main aside {
        float: right;
        width: 28%;
    }
}

@media only screen and (min-width: 1140px) {

/* ===============
    Maximal Width
   =============== */

    .wrapper {
        width: 1026px; /* 1140px - 10% for margins */
        margin: 0 auto;
    }
}

/* ==========================================================================
   Helper classes
   ========================================================================== */

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}

/* ==========================================================================
   Print styles
   ========================================================================== */

@media print {
    *,
    *:before,
    *:after {
        background: transparent !important;
        color: #000 !important;
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    a[href^="#"]:after,
    a[href^="javascript:"]:after {
        content: "";
    }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    thead {
        display: table-header-group;
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    img {
        max-width: 100% !important;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}
